cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rhtyd <...@git.apache.org>
Subject [GitHub] cloudstack pull request #1638: CLOUDSTACK-9456: Use Spring 4 and Java 8
Date Fri, 12 Aug 2016 09:24:36 GMT
GitHub user rhtyd opened a pull request:

    https://github.com/apache/cloudstack/pull/1638

    CLOUDSTACK-9456: Use Spring 4 and Java 8

    This changes makes CloudStack use spring 4 and Java 8:
    
        - Bumps jdk version to 1.8
        - Use jdk8 for Travis CI
        - Bump spring-framework version to 4.x and Jetty to version that runs with JDK8
        - Bump servet dependency version
        - Migrates various xmls to use version independent schema uris
    
    Outstanding issues:
        - F5 plugin as it fails to build due to issue in axis/library dependency (Stub not
accessible), it is commented/disabled for now
        - A unit test in server that fails which I could not fix so I've disabled it for now:
          com/cloud/vm/DeploymentPlanningManagerImplTest.java
        - Testing of various non-standard plugins such as network and storage plugins etc.
    
    Since, this is a big change pinging for review -- @jburwell @karuturi @wido @murali-reddy
@abhinandanprateek @DaanHoogland @GaborApatiNagy @JayapalUradi @kishankavala @K0zka @nvazquez
@rafaelweingartner @pyr and others
    
    @blueorangutan package

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/shapeblue/cloudstack spring4-java8-only

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cloudstack/pull/1638.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1638
    
----
commit c0f1890665d02ce2ddf3ca0318b289c609b51b90
Author: Rohit Yadav <rohit.yadav@shapeblue.com>
Date:   2016-05-13T10:26:48Z

    CLOUDSTACK-9456: Update Spring version in maven poms and use Java 8
    
    - Bumps jdk version to 1.8
    - Use jdk8 for Travis CI
    - Bump spring-framework version to 4.x and Jetty to version that runs with JDK8
    - Bump servet dependency version
    
    Outstanding issues:
    - Disables F5 plugin as it fails to build
    - Disable a unit test in server that fails:
      com/cloud/vm/DeploymentPlanningManagerImplTest.java
    
    Signed-off-by: Rohit Yadav <rohit.yadav@shapeblue.com>

commit c1716cd0473ad874a78279a23e9fe3c09dda3c3b
Author: Rohit Yadav <rohit.yadav@shapeblue.com>
Date:   2016-05-13T10:46:15Z

    CLOUDSTACK-9456: Migrate spring xmls to version 4
    
    Fixes schema locations that are 3.0 dependent in various xmls.
    
    Signed-off-by: Rohit Yadav <rohit.yadav@shapeblue.com>

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message